# Equation

## Staking

$$
HOOK = CLOCK
$$

&#x20;Swaps between **HOOK** and **CLOCK** during staking and unstaking are always honored 1:1. The amount of **HOOK** deposited into the staking contract will always result in the same amount of **CLOCK**. And the amount of **CLOCK** withdrawn from the staking contract will always result in the same amount of **HOOK**.

$$
rebase = 1 - ( HOOKdeposits / CLOCK
outstanding )
$$

&#x20;The treasury deposits **HOOK** into the distributor. The distributor then deposits **HOOK** into the staking contract, creating an imbalance between **HOOK** and **CLOCK**. **CLOCK** is rebased to correct this imbalance between **HOOK** deposited and **CLOCK** outstanding. The rebase brings **CLOCK** outstanding back up to parity so that 1 **CLOCK** equals 1 staked **HOOK**.

## Minting

$$
Minting Price=Market Price \* (1 - DicountRate)
$$

&#x20;Intrinsic value of **HOOK** token starts from 1 KUSDT. Minting price is determined after discount from  the market price.

$$
mintPayout = marketValue\_{asset}\ /\ mintPrice
$$

&#x20;Mint payout determines the number of **HOOK** sold to a minter. Regardless of asset type, the market value of the assets supplied by the minter is used to determine the mint payout. For example, if a user supplies 1000 KUSDT and the Mint price is 250 KUSDT, the user will be entitled 4 **HOOK**.

## HOOK Supply

$$
HOOK\_{supplyGrowth} = HOOK\_{stakers} + HOOK\_{minters} + HOOK\_{protocol}
$$

&#x20;**HOOK** supply does not have a hard cap. Its supply increases when:

* **HOOK** is minted and distributed to the stakers.
* **HOOK** is minted for the bonder. This happens whenever someone mints.
* **HOOK** is minted for the protocol. This happens whenever someone mints. The protocol gets the same number of **HOOK** as the minter.

$$
HOOK\_{stakers} = HOOK\_{totalSupply} \* rewardRate
$$

&#x20;At the end of each epoch, the treasury mints **HOOK** at a set reward rate. These **HOOK** will be distributed to all the stakers in the protocol.

$$
HOOK\_{minters} = mintPayout
$$

&#x20;Whenever someone purchases a bond, a set number of **HOOK** is minted. These **HOOK** will not be released to the minter all at once - they are vested to the minter linearly over time. The mint payout uses a different formula for different types of mints. Check the minting section above to see how it is calculated.

$$
HOOK\_{protocol} = HOOK\_{minters}
$$

&#x20;The protocol receives the same amount of **HOOK** as the minter. This represents the protocol profit.

## Backing per HOOK

$$
HOOK\_{backing} = treasuryBalance\_{stableLP} + treasuryBalance\_{otherLP}
$$

&#x20;Every **HOOK** in circulation is backed by the **Neverland** treasury. The assets in the treasury can be divided into three categories: LP including **HOOK** (HOOK LP), stableLP and non-stableLP.

$$
treasuryBalance\_{stable} = RFV\_{stableLP} + RFV\_{hook LP}
$$

&#x20;The stable balance in the treasury grows when users mint. RFV is calculated differently for different bond types.

$$
RFV\_{stableLP} = assetSupplied
$$

&#x20;For stableLP such as KUSDT-KDAI and KUSDT-KUSDC, the RFV simply equals to the amount of the underlying asset supplied by the minter.

$$
RFV\_{hookLP} = 2sqrt(constantProduct) \* (%\ ownership\ of\ the\ pool)
$$

&#x20;For HOOK LP such as HOOK-KUSDT, the RFV is calculated differently because the protocol needs to mark down its value. Why? The LP token pair consists of **HOOK**, and each **HOOK** in circulation will be backed by these LP tokens - there is a cyclical dependency. To safely guarantee all circulating **HOOK** are backed, the protocol marks down the value of these LP tokens, hence the name *risk-free* value (RFV).

$$
HOOK LP constantProduct = HOOKqty \* OTHERTOKENqty
$$

&#x20;constantProduct of HOOK LP is product of **HOOK** quantity and other token. In case of 10 HOOK - 1000 KUSDT LP at HOOK price $100, the constantProduct is 10,000 and 2 squareroot is 100. It means it can back total 100 HOOK for $1 where there's bankrun and people dump **HOOK**. It will be 100 HOOK - 100 KUSDT at HOOK price at $1.

$$
CV\_{otherLP} = VALUE\_{otherLP} \* 1/2
$$

&#x20;For other LPs except HOOK LP, we set the backing value for 50% of the asset value. LP token has high resistence to market volatility especially when one of the asset is stable token such as KUSDT or KDAI. In case of KETH - KUSDT, the 50% of the LP value can be kept until KETH price drops to 25% from its original value. (ex: $5,000 → $1,250)

&#x20;**Neverland** sets Corrected Value of other LPs to 50% of its current value, and mints HOOK based on it. (User gets 100% of **HOOK** tokens based on the minting price but the tokens to be released for staking reward is 50% of the asset value) Thus, it has 50% of buffer to back the intrinsic value and let the protocol acquire budget from 3% of the treasury for marketing and development for building richer **Neverland** eco-system.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neverland.finance/references/equation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
